Set an agent's attached MCP servers
curl --request PUT \
--url https://api.getoneprofile.ai/table-enrichments/saved-agents/{saved_agent_id}/mcp-servers/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"server_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'import requests
url = "https://api.getoneprofile.ai/table-enrichments/saved-agents/{saved_agent_id}/mcp-servers/"
payload = { "server_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({server_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://api.getoneprofile.ai/table-enrichments/saved-agents/{saved_agent_id}/mcp-servers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"servers": [
{
"account_label": "<string>",
"auth_mode": "<string>",
"catalog_slug": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"enabled": true,
"header_names": [
"<string>"
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"oauth_status": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>",
"issues": [
{
"input": "<string>",
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}table-enrichments
Set an agent's attached MCP servers
Replace the saved agent’s attached MCP servers with exactly the given set. Every server must belong to the organisation.
PUT
/
table-enrichments
/
saved-agents
/
{saved_agent_id}
/
mcp-servers
/
Set an agent's attached MCP servers
Authorizations
HTTPBearerAPIKeyHeader
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The exact set of MCP servers an agent should have attached.
The servers to attach to the agent; replaces the current set.
Maximum array length:
20Response
Successful Response
The organisation's MCP servers, alphabetical.
Show child attributes
Show child attributes
Was this page helpful?